@echo off
goto START

*********************************************************
File: NET.BAT

Desc: This is a sample batch routine that illustrates how
      the ChkShell program can be used to verify that the
      network shell is loaded.  This is a typical routine
      for loading Netware drivers and logging into the
      network.

      This routine assumes that the network drivers are
      located in the directory C:\NETWARE.  

      It also assumes that the network interface card 
      (NIC) is an SMC which uses the SMC8000 driver.
      If this is not true, substitute your driver for
      the SMC8000 driver.
*********************************************************

*********************************
*  Change to Netware Directory  *
*********************************
:START
C:
cd \NETWARE
goto LOAD

**************************
*  Load Network Drivers  *
**************************
:LOAD
lh LSL >nul
lh SMC8000 >nul
lh IPXODI >nul
lh NETX >nul
goto CHECK

*********************************************
*  Check To Ensure Network Shell Is Loaded  *
*********************************************
:CHECK
CHKSHELL /Q
if errorlevel == 1 goto NO_SHELL
if errorlevel == 0 goto LOGIN

******************************************
*  Inform User That Shell Is Not Loaded  *
******************************************
:NO_SHELL
cls
echo.
echo Netware shell is not loaded!
echo.
echo You will be unable to login to the network.
echo.
goto END

***********************************************
*  Change to Network Login Directory & Login  *
***********************************************
:LOGIN
F:
LOGIN

:END



      